Gtk_MenuShell(3)

NAME - Gtk_MenuShell

HEADER REQUIRED
#include <gtk--/menushell.h&gt;>

BASE CLASSES
Gtk_Container(3)

DERIVED BY
Gtk_Menu(3) Gtk_MenuBar(3)

PROPERTIES

children
    Type: GList*

active_menu_item
    Type: Gtk_Widget*

parent_menu_shell
    Type: Gtk_Widget*

active
    Type: guint:1

have_grab
    Type: guint:1

have_xgrab
    Type: guint:1

button
    Type: guint:2

ignore_leave
    Type: guint:1

menu_flag
    Type: guint:1

ignore_enter
    Type: guint:1

activate_time
    Type: guint32

     .IP

PUBLIC MEMBER INDEX
    Gtk_MenuShell(GtkMenuShell *castitem);
    void  append(const Gtk_MenuShell &);
    void  prepend(const Gtk_MenuShell &);
    void  insert(const Gtk_MenuShell &, gint position);
    void  append(const Gtk_ObjectHandle &);
    void  prepend(const Gtk_ObjectHandle &);
    void  insert(const Gtk_ObjectHandle &, gint position);
    signal void  deactivate(BaseObjectType);
    GtkMenuShell*  gtkobj();
    const GtkMenuShell*  gtkobj() const;
    static bool  isGtkMenuShell(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkMenuShell  BaseObjectType;
    typedef GtkMenuShellClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  deactivate_impl();
    Gtk_MenuShell();

PRIVATE MEMBER INDEX
    static CppClassType  menu_shell_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS